# std::_Has_result_type_helper< _Tp > Class Template Reference

Inheritance diagram for std::_Has_result_type_helper< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
class std::_Has_result_type_helper< _Tp >

Actual implementation of _Has_result_type, which uses SFINAE to determine if the type _Tp has a publicly-accessible member type result_type.

Definition at line 48 of file tr1_impl/functional.

## Static Public Attributes

- static const bool value

The documentation for this class was generated from the following file:

- tr1_impl/functional